

Bill Irwin is having problems with PageActive pages turning up on the
inactive list.  Add a debug trap to __pagevec_lru_add() to trap this.



 mm/swap.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN mm/swap.c~lru_cache_add-check mm/swap.c
--- 25/mm/swap.c~lru_cache_add-check	2003-06-27 14:14:37.000000000 -0700
+++ 25-akpm/mm/swap.c	2003-06-27 14:14:37.000000000 -0700
@@ -272,6 +272,7 @@ void __pagevec_lru_add(struct pagevec *p
 		}
 		if (TestSetPageLRU(page))
 			BUG();
+		BUG_ON(PageActive(page));
 		add_page_to_inactive_list(zone, page);
 	}
 	if (zone)

_
